* {
  padding: 0;
  margin: 0;
  box-sizing: border-box;
}

body,
html {
  width: 100%;
  height: 100%;
  min-height: 100%;
}

.App {
  width: 100%;
  height: 100%;
  min-height: 100vh;
  display: grid;
  grid-template-columns: 1fr;
  align-content: center;
  justify-content: center;
  background-color: #14181b;
}

.game {
  display: grid;
  grid-template-columns: 1fr 1fr;
  max-width: max-content;
  grid-gap: 0.5rem;
  align-items: self-start;
  margin: 0 auto;
}

.board {
  display: grid;
  grid-template-columns: 1fr 1fr 1fr 1fr;
  grid-gap: 0.5rem;
  width: 100%;
  max-width: 185px;
  margin: 0 auto;
  grid-column: 1;
  grid-row: 1/3;
}

.tile {
  width: 40px;
  height: 40px;
  border-radius: 6px;
  background-color: #20292f;
  color: white;
  text-align: center;
  line-height: 40px;
  font-weight: bold;
  cursor: pointer;
  font-size: 24px;
  user-select: none;
}

.tile.selected {
  background-color: #2184ce;
}
.tile.selected:hover {
  background-color: #2184ce;
}

.tile:hover {
  background-color: #436884;
}

.word {
  color: #b5dfff;
  letter-spacing: 0.5rem;
  background-color: #4c5b66;
  padding: 0.5rem 1rem;
  border-radius: 6px;
  width: 220px;
  margin: 0 auto;
  font-weight: bold;
  height: 37px;
  align-self: end;
  position: relative;
}

.word__validation {
  letter-spacing: 0.5px;
  font-size: 10px;
  position: absolute;
  right: 0.5rem;
  top: 50%;
  transform: translateY(-50%);
}

.word__validation.valid {
  color: #00ffab;
}
.word__validation.invalid {
  color: #ff9f9f;
}

.clear-btn {
  display: grid;
  grid-template-columns: 1fr 20px;
  width: max-content;
  grid-gap: 0.5rem;
  justify-items: center;
  align-items: center;
  justify-self: right;
  height: 20px;
}

.clear-btn__text {
  color: #9ca6ae;
  font-size: 12px;
}

.clear-btn__icon {
  width: 20px;
  height: 20px;
  color: #a4baca;
  background-color: #2b363e;
  font-size: 20px;
  font-weight: bold;
  text-align: center;
  cursor: pointer;
  border-radius: 4px;
  line-height: 14px;
  user-select: none;
}

.clear-btn__icon:hover {
  color: #f28080;
  background-color: #5b3737;
}

@media (max-width: 600px) {
  .game {
    grid-template-columns: 1fr;
    grid-gap: 3rem;
  }

  .board {
    grid-row: 2;
  }

  .clear-btn {
    grid-row: 1;
  }

  .word {
    grid-row: 3;
  }
}
